market_history_api.get_market_history
Purpose
Возвращает историю рынка (market history) для внутреннего рынка SBD:STEEM.
Parameters
PARAMETERS
json
{
"bucket_seconds": 0,
"start": "1970-01-01T00:00:00",
"end": "1970-01-01T00:00:00"
}Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "market_history_api.get_market_history",
"params": {
"bucket_seconds": 15,
"start": "2018-01-01T00:00:00",
"end": "2018-01-02T00:00:00"
},
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "market_history_api.get_market_history",
"params": {
"bucket_seconds": 60,
"start": "2018-01-01T00:00:00",
"end": "2018-01-02T00:00:00"
},
"id": 1
}'Example 3
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "market_history_api.get_market_history",
"params": {
"bucket_seconds": 300,
"start": "2018-01-01T00:00:00",
"end": "2018-01-02T00:00:00"
},
"id": 1
}'Example 4
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "market_history_api.get_market_history",
"params": {
"bucket_seconds": 3600,
"start": "2018-01-01T00:00:00",
"end": "2018-01-02T00:00:00"
},
"id": 1
}'Example 5
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "market_history_api.get_market_history",
"params": {
"bucket_seconds": 86400,
"start": "2018-01-01T00:00:00",
"end": "2018-01-02T00:00:00"
},
"id": 1
}'Response
RESPONSE
json
{
"buckets": []
}